<?php
$now = helper::now();
$config->cluster->form = new stdclass();

$config->cluster->form->create = array();
$config->cluster->form->create['name']        = array('type' => 'string', 'required' => true);
$config->cluster->form->create['apiUrl']      = array('type' => 'string', 'required' => true);
$config->cluster->form->create['token']       = array('type' => 'string', 'required' => true);
$config->cluster->form->create['env']         = array('type' => 'string', 'required' => true);
$config->cluster->form->create['desc']        = array('type' => 'string', 'required' => false, 'default' => '');
$config->cluster->form->create['createdDate'] = array('type' => 'string', 'required' => false, 'default' => $now);

$config->cluster->form->edit = $config->cluster->form->create;
$config->cluster->form->edit['editedDate'] = array('type' => 'string', 'required' => false, 'default' => $now);
